/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from serviceiface.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __SERVICEIFACE_STUB__
#define __SERVICEIFACE_STUB__

#include <dcopstub.h>
#include <dcopobject.h>
#include <networkstatuscommon.h>


class ServiceIface_stub : virtual public DCOPStub
{
public:
    ServiceIface_stub( const TQCString& app, const TQCString& id );
    ServiceIface_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit ServiceIface_stub( const DCOPRef& ref );
    virtual void setNetworkStatus( const TQString& networkName, int status );
    virtual void registerNetwork( const TQString& networkName, NetworkStatus::Properties properties );
    virtual void unregisterNetwork( const TQString& networkName );
    virtual void requestShutdown( const TQString& networkName );
protected:
    ServiceIface_stub() : DCOPStub( never_use ) {}
};


#endif
